SystemOrganization addCategory: #'Polymorph-SystemSettings'!

Object subclass: #PSMCSystemSettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Polymorph-SystemSettings'!

!PSMCSystemSettings class methodsFor: 'as yet unclassified' stamp: 'BartGauquie 12/10/2009 19:59'!
defaultMonticelloDiffToolsSettingOn: aBuilder
	<systemsettings> 
	(aBuilder setting: #polymorphDiffToolsUsedByDefault)
		label: 'Use Polymorph difference tools' translated;
		description: 'When enabled the Polymorph diff tools will be used with Monticello. When disabled, the original tools are used.' translated;
		parent: #monticello;
		target: PSMCPatchMorph;
		selector: #usedByDefault! !

Object subclass: #TaskListSystemSettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Polymorph-SystemSettings'!

!TaskListSystemSettings class methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/15/2009 10:07'!
taskListSettingOn: aBuilder
	<systemsettings> 
	(aBuilder setting: #keepTaskListOpen)
		label: 'Keep task list open' translated;
		description: 'Whether the tasklist is closed (and the selected window activated) when the command key is released' translated;
		parent: #morphic;
		selector: #keepOpen;
		target: TasklistMorph! !

Object subclass: #TaskbarSystemSettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Polymorph-SystemSettings'!

!TaskbarSystemSettings class methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/15/2009 10:04'!
taskbarSettingOn: aBuilder
	<systemsettings>
	(aBuilder setting: #showTaskbar)
		target: TaskbarMorph;
		parent: #morphic;
		label: 'Taskbar' translated;
		description: 'Whether the world''s taskbar should be shown or not.' translated;
		with: [
			(aBuilder setting: #showWindowPreview)
				label: 'Window preview' translated;
				description: 'Whether the world''s taskbar buttons should show previews of the associated window while the mouse is over them.' translated
		]! !
